Audit log of the caller's organization(s).
GET
/api/v1/audit
const url = 'https://example.com/api/v1/audit';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/auditParameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer format: int64
Page size (1–200, default 50).
before
integer format: int64
next_before of the previous page.
Responses
Section titled “Responses”Media typeapplication/json
object
events
required
Array<object>
object
seq
required
integer format: int64
id
required
string
at
required
Unix milliseconds.
integer format: int64
actor_kind
required
session, token, user or anonymous.
string
actor
Email of the actor (or its id if the user no longer exists).
string | null
action
required
OpenAPI operation id, e.g. createApp.
string
target_kind
string | null
target
string | null
outcome
required
success, denied, failure, throttled or error.
string
status
integer | null format: int32
ip
string | null
request_id
string | null
next_before
Pass as before to fetch the next (older) page.
integer | null format: int64
Examplegenerated
{ "events": [ { "seq": 1, "id": "example", "at": 1, "actor_kind": "example", "actor": "example", "action": "example", "target_kind": "example", "target": "example", "outcome": "example", "status": 1, "ip": "example", "request_id": "example" } ], "next_before": 1}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}